curl https://api.thanxsandbox.com/locations \
-X GET \
-H "Content-Type: application/json" \
-H "Accept-Version: v4.0" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${token}" \
-H "X-ClientId: ${client_id}"
{
"locations": [
{
"id": "92b7b0dac4",
"merchant_id": "9a1f0772c9ac",
"street": "123 Pizza Lane",
"city": "Smalltown",
"state": "CA",
"zip": "12345",
"name": "Pizza Town Co",
"phone": "(415) 555-3728",
"loyalty_redemption_type": "direct"
}
],
"pagination": {
"total_page": 1,
"per_page": 10,
"current_page": 1
}
}
Locations
Get Locations
This endpoint describes locations accessible for the provided client ID. If a merchant_id is provided the locations will be further filtered.
GET
/
locations
curl https://api.thanxsandbox.com/locations \
-X GET \
-H "Content-Type: application/json" \
-H "Accept-Version: v4.0" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${token}" \
-H "X-ClientId: ${client_id}"
{
"locations": [
{
"id": "92b7b0dac4",
"merchant_id": "9a1f0772c9ac",
"street": "123 Pizza Lane",
"city": "Smalltown",
"state": "CA",
"zip": "12345",
"name": "Pizza Town Co",
"phone": "(415) 555-3728",
"loyalty_redemption_type": "direct"
}
],
"pagination": {
"total_page": 1,
"per_page": 10,
"current_page": 1
}
}
Please review proper request headers here.
Parameters
string
Only return locations for this merchant
integer
The current page of paginated resources.
- Default:
1.
integer
Number of records to be returned per API request.
- Default:
10 - Minimum:
1 - Maximum:
100
Response
string
Location ID
string
Merchant ID
string
Location’s street address
string
Location’s city
string
Location’s state
string
Location’s zip code
string
The name of the location if it has one
string
The phone number of the location
string
Redemption type setup at the location (
direct, indirect, none)| Type | Description | Codes |
|---|---|---|
direct | Thanx has an API integration built with the POS | Custom Thanx codes: Alphanumeric |
indirect | POS partner has built an integration to Thanx | Custom Thanx codes: 5-digits |
none | There is no integration between Thanx and the POS. | Merchant managed codes |
hash
curl https://api.thanxsandbox.com/locations \
-X GET \
-H "Content-Type: application/json" \
-H "Accept-Version: v4.0" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${token}" \
-H "X-ClientId: ${client_id}"
{
"locations": [
{
"id": "92b7b0dac4",
"merchant_id": "9a1f0772c9ac",
"street": "123 Pizza Lane",
"city": "Smalltown",
"state": "CA",
"zip": "12345",
"name": "Pizza Town Co",
"phone": "(415) 555-3728",
"loyalty_redemption_type": "direct"
}
],
"pagination": {
"total_page": 1,
"per_page": 10,
"current_page": 1
}
}